public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/
Date: Sat, 24 Dec 2022 06:35:15 +0000 (UTC)	[thread overview]
Message-ID: <1671863511.832afd7ae658f16851fa0f31c151e5ad5f5ea1a9.sam@gentoo> (raw)

commit:     832afd7ae658f16851fa0f31c151e5ad5f5ea1a9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 05:43:08 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 06:31:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=832afd7a

dev-ruby/typhoeus: fix faraday test dep

The second option in || ( A B ) had no slot, so it allowed Faraday 2,
even though it's not supported. Change to :0 as a minimal change
to make it correct, although we could just drop it as :0 is masked now.

Without this, faraday 1.x is not pulled in, just faraday 2, and we get
```
[...]
Gem::MissingSpecVersionError:
  Could not find 'faraday' (< 2) - did find: [faraday-2.7.2]
```
on tests.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/typhoeus/typhoeus-1.4.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/typhoeus/typhoeus-1.4.0-r1.ebuild b/dev-ruby/typhoeus/typhoeus-1.4.0-r1.ebuild
index 115b05f2878c..b6c62ee9b3be 100644
--- a/dev-ruby/typhoeus/typhoeus-1.4.0-r1.ebuild
+++ b/dev-ruby/typhoeus/typhoeus-1.4.0-r1.ebuild
@@ -23,7 +23,7 @@ IUSE=""
 
 ruby_add_rdepend ">=dev-ruby/ethon-0.9.0"
 
-ruby_add_bdepend "test? ( dev-ruby/json || ( dev-ruby/faraday:1 >=dev-ruby/faraday-0.9 ) >=dev-ruby/sinatra-1.3 >=dev-ruby/redis-3.0 >=dev-ruby/dalli-2.7.9 )"
+ruby_add_bdepend "test? ( dev-ruby/json || ( dev-ruby/faraday:1 >=dev-ruby/faraday-0.9:0 ) >=dev-ruby/sinatra-1.3 >=dev-ruby/redis-3.0 >=dev-ruby/dalli-2.7.9 )"
 
 all_ruby_prepare() {
 	sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die


             reply	other threads:[~2022-12-24  6:35 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-24  6:35 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-20  5:53 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/ Hans de Graaff
2024-02-18  6:59 Hans de Graaff
2023-12-24  8:19 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2022-12-24  6:35 Sam James
2022-12-24  6:35 Sam James
2022-12-03  7:13 Hans de Graaff
2022-07-30  8:22 Hans de Graaff
2022-03-20 10:04 Hans de Graaff
2021-12-26 17:52 Jakov Smolić
2020-05-10  5:50 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2019-04-11 17:46 Hans de Graaff
2019-02-16 23:52 Robin H. Johnson
2019-02-16 23:52 Robin H. Johnson
2018-11-13  5:34 Hans de Graaff
2018-06-30  9:56 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-03-27 21:38 Aaron Bauman
2017-08-22  4:09 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2016-12-13  6:35 Hans de Graaff
2016-12-13  6:35 Hans de Graaff
2016-08-05 15:19 Christoph Junghans
2016-07-24  6:42 Hans de Graaff
2016-04-30  5:36 Hans de Graaff
2016-04-30  5:36 Hans de Graaff
2016-04-17 10:38 Manuel Rüger
2016-02-28  6:23 Hans de Graaff
2015-10-14  5:13 Hans de Graaff
2015-10-14  5:13 Hans de Graaff
2015-08-09  5:51 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1671863511.832afd7ae658f16851fa0f31c151e5ad5f5ea1a9.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox